#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin>>n;
    vector<int> X(n);
    for(int i=1; i<=n; i++){
        cin>>X[i];
    }
    vector<int> Y(n);
    for(int i=1; i<=n; i++){
        cin>>Y[i];
    }
    vector<int> Z(n);
    for(int i=1; i<=n; i++){
        cin>>Z[i];
    }
    int s = 0;
    for(int i=1; i<=n; i++){
        for(int j=1; j<=n; j++){
            if(X[i]==Y[j]){
                for(int k=1; k<n; k++){
                    if(Z[k]==j){
                        s++;
                    }
                }
            }
            else{
                continue;
            }
        }
    }
    cout<<s<<endl;


    return 0;
}